* {
    box-sizing: border-box;
}
body {
    font-family: Arial, sans-serif;
    background-color: RGB(242,242,242);
    max-width: 100%;
    color: #333;
    margin: 0;
    padding: 0;
}
header {
    background-color: #ffffff;
    color: black;
    text-align: left;
    width: 100%; 
    }
nav a {
    color: black;
    text-decoration: none;
    margin: 0 15px;
    font-size: 30px;
 
}
nav a:hover {
    color: #707070; 
}


nav a:active {
    color: #a0a0a0;
}
.info {
    text-align: justify;
    padding: 20px;
    margin: 20px;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.container #logo {
    height: 100px;
    width: auto;
    cursor: pointer;
}
.container {
    display: flex; 
    justify-content: space-between; 
    border-bottom: 1px solid #333;
    align-items: center; 
}


.box {
    background-color: white;
    text-align: center;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
#info-onas {
  flex: 1;
  width:50%;
  font-size:20px;
}

#zdj-onas {
  flex: 1;
  width:50%;
}
#zdj-onas img {
  width: 100%;
  height: auto;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
#kontener {
  display:flex;
  gap: 20px;
  align-items: center;
  padding: 20px;
}

.thumbnail {
    width: 100px;
    height: auto;
    cursor: pointer;
    transition: 0.3s;
}

.thumbnail:hover {
    opacity: 0.7;
}
.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
}

.modal-content {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

#caption {
    color: #fff;
    text-align: center;
    padding: 10px 0;
}
.gallery img {
    object-fit: cover;
    max-width: 100%;
    height: auto;
    margin: 10px;
    flex: 1 1 22%; 
    width: 24% ;  
    min-width:150px;
    border-radius: 5px ; 
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1) ;
}
#stopka {
    height: 100px;

}
footer {
    text-align: center;
    padding: 10px;
    background-color: #333;
    position: fixed;
    bottom: 0;
    color: white;
    width: 100%; 
}
  
@media (max-width: 1024px) {
  #kontener {
    flex-direction: column; 
  }


#zdj-onas {
  width:100%;
}
.info{
  text-align: left;
  font-size:15px;
}
#info-onas {
  width:100%;
  font-size:15px;
}
}
@media (min-width: 1025px) {
#info-onas {
  padding: 40px;
}
}

